This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1257092 - gstatus: gstatus --debug doesn't give all the information for the node object
gstatus: gstatus --debug doesn't give all the information for the node object
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gstatus (Show other bugs)
3.1
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Sachidananda Urs
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 05:34 EDT by Anil Shah
Modified: 2016-10-28 09:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: gstatus-0.65-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-28 09:11:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anil Shah 2015-08-26 05:34:47 EDT
Description of problem:

gstatus --debug , doesn't displays all the  information for the node object

Version-Release number of selected component (if applicable):

[root@darkknight bricks]# rpm -qa | grep glusterfs
glusterfs-client-xlators-3.7.1-12.el7rhgs.x86_64
glusterfs-server-3.7.1-12.el7rhgs.x86_64
glusterfs-3.7.1-12.el7rhgs.x86_64
glusterfs-api-3.7.1-12.el7rhgs.x86_64
glusterfs-cli-3.7.1-12.el7rhgs.x86_64
glusterfs-geo-replication-3.7.1-12.el7rhgs.x86_64
glusterfs-libs-3.7.1-12.el7rhgs.x86_64
glusterfs-fuse-3.7.1-12.el7rhgs.x86_64
glusterfs-rdma-3.7.1-12.el7rhgs.x86_64

[root@darkknight bricks]# gstatus --version
gstatus 0.64


How reproducible:

100%

Steps to Reproduce:
1. Create 6*2 distribute replicate volume
2. Mount volume as FUSE/NFS mount on client.
3. run gstatus --debug

Actual results:

[root@darkknight bricks]# gstatus --debug
 
Creating a node object with uuid 4e24ff10-14be-489e-b3db-862f0522e73f, with names of ['', '', '10.70.47.3']
Creating a node object with uuid 6f938847-8027-4264-b745-e7ea7d2b0316, with names of ['', '', '10.70.47.143']
Creating a node object with uuid 7bc94d81-840b-4435-a532-142901e53b97, with names of ['', '', '10.70.47.145']
Creating a node object with uuid 5411adbd-a848-4f84-b284-eb5a9ca5a4c7, with names of ['10.70.47.2', 'darkknight', 'darkknight', 'localhost']


Expected results:

Some fields information is not displayed 

Additional info:

[root@darkknight bricks]# gstatus --debug
 
Creating a node object with uuid 4e24ff10-14be-489e-b3db-862f0522e73f, with names of ['', '', '10.70.47.3']
Creating a node object with uuid 6f938847-8027-4264-b745-e7ea7d2b0316, with names of ['', '', '10.70.47.143']
Creating a node object with uuid 7bc94d81-840b-4435-a532-142901e53b97, with names of ['', '', '10.70.47.145']
Creating a node object with uuid 5411adbd-a848-4f84-b284-eb5a9ca5a4c7, with names of ['10.70.47.2', 'darkknight', 'darkknight', 'localhost']
defineVolumes. Adding volume ecvol         
defineVolumes. Adding brick 10.70.47.2:/rhs/brick2/ec01 to ecvol
defineVolumes. Adding brick 10.70.47.3:/rhs/brick2/ec02 to ecvol
defineVolumes. Adding brick 10.70.47.143:/rhs/brick2/ec03 to ecvol
defineVolumes. Adding brick 10.70.47.145:/rhs/brick2/ec04 to ecvol
defineVolumes. Adding brick 10.70.47.2:/rhs/brick3/ec05 to ecvol
defineVolumes. Adding brick 10.70.47.3:/rhs/brick3/ec06 to ecvol
defineVolumes. Adding volume testvol
defineVolumes. Adding brick 10.70.47.2:/rhs/brick1/b01 to testvol
defineVolumes. Adding brick 10.70.47.3:/rhs/brick1/b02 to testvol
defineVolumes. Adding brick 10.70.47.143:/rhs/brick1/b03 to testvol
defineVolumes. Adding brick 10.70.47.145:/rhs/brick1/b04 to testvol
defineSnapshots. Creating a snapshot instance for volume 'testvol' called 'snap1_GMT-2015.08.25-16.52.44'
defineSnapshots. Volume 'testvol' has 1 snapshots
defineSnapshots. Volume 'ecvol' has 0 snapshots
Volume 'update'. Processing volume testvol     
Volume 'update'. Processing volume ecvol                   
     Product: RHGS vserver3.1    Capacity: 199.00 GiB(raw bricks)
      Status: HEALTHY                        2.00 GiB(raw used)
   Glusterfs: 3.7.1                        114.00 GiB(usable from volumes)
  OverCommit: No                Snapshots:   1
Comment 2 Sachidananda Urs 2015-08-28 04:50:39 EDT
All the empty strings are removed.

On the localhost it prints the aliases. On a remote machine if it is unable to
get aliases empty strings are returned, we filter them off.
Comment 3 Sachidananda Urs 2015-08-31 08:12:49 EDT
Fixed in gstatus-0.65-1
Comment 4 Sachidananda Urs 2015-09-08 08:57:23 EDT
https://github.com/sachidanandaurs/gstatus/commit/4965c420b708e2b8f5e0458fa51d5f8e5ba363ac

The above commit fixes this bug.
Comment 5 Anil Shah 2015-09-08 09:09:02 EDT
Bug verified ob build  glusterfs-3.7.1-14.el7rhgs.x86_64

[root@rhs-client46 ~]# gstatus -D
 
Creating a node object with uuid 086eb737-553e-499a-b387-2ea1d4813b96, with names of ['10.70.36.71', 'rhs-client47', 'rhs-client47.lab.eng.blr.redhat.com']
Creating a node object with uuid 1f37c4a3-94a1-4aba-a569-c4ddde72d186, with names of ['10.70.36.46', 'rhs-client22', 'rhs-client22.lab.eng.blr.redhat.com']
Creating a node object with uuid f39b95f3-31e4-4bbe-b0ae-5672153e2e4e, with names of ['10.70.44.13', 'rhsqa7', 'rhsqa7.lab.eng.blr.redhat.com']
Creating a node object with uuid 4c160711-db1a-46af-91ae-2a3d8f732ec4, with names of ['10.70.36.70', 'rhs-client46', 'rhs-client46.lab.eng.blr.redhat.com', 'localhost']
defineVolumes. Adding volume testvol       
defineVolumes. Adding brick 10.70.36.70:/rhs/brick1/b001 to testvol
defineVolumes. Adding brick 10.70.36.71:/rhs/brick1/b002 to testvol
defineVolumes. Adding brick 10.70.36.46:/rhs/brick1/b003 to testvol
defineVolumes. Adding brick 10.70.44.13:/rhs/brick1/b004 to testvol
defineSnapshots. Volume 'testvol' has 0 snapshots
Volume 'update'. Processing volume testvol     
     Product: RHGS Server v3.1   Capacity:   1.80 TiB(raw bricks)
      Status: UNHEALTHY(7)                   1.00 GiB(raw used)
   Glusterfs: 3.7.1                          1.80 TiB(usable from volumes)
  OverCommit: No                Snapshots:   0

[root@rhs-client46 ~]# gstatus -0debug
Usage: gstatus [options]

gstatus: error: no such option: -0
[root@rhs-client46 ~]# gstatus --debug
 
Creating a node object with uuid 086eb737-553e-499a-b387-2ea1d4813b96, with names of ['10.70.36.71', 'rhs-client47', 'rhs-client47.lab.eng.blr.redhat.com']
Creating a node object with uuid 1f37c4a3-94a1-4aba-a569-c4ddde72d186, with names of ['10.70.36.46', 'rhs-client22', 'rhs-client22.lab.eng.blr.redhat.com']
Creating a node object with uuid f39b95f3-31e4-4bbe-b0ae-5672153e2e4e, with names of ['10.70.44.13', 'rhsqa7', 'rhsqa7.lab.eng.blr.redhat.com']
Creating a node object with uuid 4c160711-db1a-46af-91ae-2a3d8f732ec4, with names of ['10.70.36.70', 'rhs-client46', 'rhs-client46.lab.eng.blr.redhat.com', 'localhost']
defineVolumes. Adding volume testvol       
defineVolumes. Adding brick 10.70.36.70:/rhs/brick1/b001 to testvol
defineVolumes. Adding brick 10.70.36.71:/rhs/brick1/b002 to testvol
defineVolumes. Adding brick 10.70.36.46:/rhs/brick1/b003 to testvol
defineVolumes. Adding brick 10.70.44.13:/rhs/brick1/b004 to testvol
defineSnapshots. Volume 'testvol' has 0 snapshots
Volume 'update'. Processing volume testvol     
     Product: RHGS Server v3.1   Capacity:   1.80 TiB(raw bricks)
      Status: UNHEALTHY(7)                   1.00 GiB(raw used)
   Glusterfs: 3.7.1                          1.80 TiB(usable from volumes)
  OverCommit: No                Snapshots:   0

Note You need to log in before you can comment on or make changes to this bug.